Subject: Re: [PATCH] Marvell Libertas 8388 802.11b/g USB driver (v2)

From: Arnd Bergmann <[email-masked]>
Date: Mon, 5 Feb 2007 16:12:05 +0100

On Monday 05 February 2007 15:01, John W. Linville wrote:
> 
> > I disagree, entry/exit points have been shown to be useful in practice
> > to identify firmware problems on field.
> 
> I'm not too fond of the ENTER/LEAVE stuff either.  But, I do sympathize
> that they _can_ be useful in certain circumstances/workflows/whatever.
> 
> Is there an official "party line" on this documented somewhere
> (i.e. CodingStyle or elsewhere)?  A quick search doesn't reveal one
> to me.

I don't think there is a formal rule. My personal opinion is that
you should trace events that come from the hardware of from the user,
if you trace at all, but never trace function call sequences that
can be simply identified by knowing the source code.

	Arnd <><